cubes:
  - name: user
    sql_table: inventory_v2.user
    data_source: default

    joins: []

    dimensions:
      - name: id
        sql: id
        type: number
        primary_key: true

      - name: email
        sql: email
        type: string

      - name: password
        sql: password
        type: string

      - name: permissions
        sql: permissions
        type: string

      - name: remark
        sql: remark
        type: string

      - name: username
        sql: username
        type: string

    measures:
      - name: count
        type: count

    pre_aggregations:
      # Pre-aggregation definitions go here.
      # Learn more in the documentation: https://cube.dev/docs/caching/pre-aggregations/getting-started

